Bug 1534527 - Hardening Flags Updates for Fedora 28
Summary: Hardening Flags Updates for Fedora 28
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SystemWideChange
Keywords:
Depends On: 1538725
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 12:38 UTC by Jan Kurik
Modified: 2018-05-02 12:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-02 12:04:55 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-01-15 12:38:04 UTC
This is a tracking bug for Change: Hardening Flags Updates for Fedora 28
For more details, see: https://fedoraproject.org//wiki/Changes/HardeningFlags28

This system-wide change covers changes to the hardening flags in Fedora 28.

Comment 1 Christian Stadelmann 2018-02-11 14:29:39 UTC
From the last hardening change, some applications are still left un-hardened, see bug #1199775 and https://fedoraproject.org/wiki/Changes/Harden_All_Packages for details.

Comment 2 Jan Kurik 2018-02-20 14:10:09 UTC
On 2018-Feb-20, we have reached the Fedora 28 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2018-Feb-23 meeting.

Comment 3 Fedora End Of Life 2018-02-20 15:32:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Jan Kurik 2018-03-06 08:57:45 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.